<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="/js/upload.js" defer></script>
    <script src="/webjars/bootstrap/5.3.3/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="/webjars/bootstrap/5.3.3/css/bootstrap.min.css">
</head>
<body class="container">
    <h2 class="my-3">Upload a file please ...</h2>

    <form id="upload-form" enctype="multipart/form-data" method="post">
        <dl>
            <dt>
                <label for="upload-input" class="form-label">File</label>
            </dt>
            <dd>
                <input id="upload-input" type="file" name="file" class="form-control" />
            </dd>
        </dl>

        <button id="upload-button" class="btn btn-primary" type="button">Upload</button>

        <div class="mt-4">
            <output name="result"></output>
        </div>
    </form>

    <img id="uploaded-image" class="mt-4" src="" alt="The uploaded image will be shown here">
</body>
</html>
